Subject: bug#25309: 11.89.8; multi-level script fontification stacks incorrectly

From: Tassilo Horn <[email-masked]>
Date: Wed, 04 Jan 2017 17:56:30 +0100

Gennady Uraltsev <[email-masked]> writes:

Hi Gennady,

> Notice that $ is then "raised". Now erase the exponents by doing
> $1=x^2|$
> $1=x^|$
> $1=x^$
> The problem is that the closing $ is still raised.

I think I have fixed it.  The unfontification code was only removing
display properties equalling the literal specifications in
`font-latex-script-display' which didn't match anymore because the raise
values are now computed dynamically.

I also forgot to remove the new script-level text properties I'm using
to stop text shrinking after `font-latex-fontify-script-max-level'
levels.

Bye,
Tassilo